Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# podchecker

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# podchecker

- NAME
- SYNOPSIS
- OPTIONS AND ARGUMENTS
- DESCRIPTION
- RETURN VALUE
- ERRORS
- SEE ALSO
- AUTHORS

# NAME

podchecker - check the syntax of POD format documentation files

# SYNOPSIS

podchecker [-help] [-man] [-(no)warnings] [file ...]

# OPTIONS AND ARGUMENTS

- -help

  Print a brief help message and exit.

- -man

  Print the manual page and exit.

- -warnings -nowarnings

  Turn on/off printing of warnings. Repeating -warnings increases the warning level, i.e. more warnings are printed. Currently increasing to level two causes flagging of unescaped "<,>" characters.

- file

  The pathname of a POD file to syntax-check (defaults to standard input).

# DESCRIPTION

podchecker will read the given input files looking for POD syntax errors in the POD documentation and will print any errors it find to STDERR. At the end, it will print a status message indicating the number of errors found.

Directories are ignored, an appropriate warning message is printed.

podchecker invokes the podchecker() function exported by Pod::Checker Please see podchecker() in Pod::Checker for more details.

# RETURN VALUE

podchecker returns a 0 (zero) exit status if all specified POD files are ok.

# ERRORS

podchecker returns the exit status 1 if at least one of the given POD files has syntax errors.

The status 2 indicates that at least one of the specified files does not contain any POD commands.

Status 1 overrides status 2. If you want unambiguous results, call podchecker with one single argument only.

# SEE ALSO

Pod::Parser and Pod::Checker

# AUTHORS

Please report bugs using http://rt.cpan.org.

Brad Appleton <bradapp@enteract.com>, Marek Rouchal <marekr@cpan.org>

Based on code for Pod::Text::pod2text(1) written by Tom Christiansen <tchrist@mox.perl.com>

Page index

- NAME
- SYNOPSIS
- OPTIONS AND ARGUMENTS
- DESCRIPTION
- RETURN VALUE
- ERRORS
- SEE ALSO
- AUTHORS